Table of Contents

Class: StandardIO | Twisted-0.19.0/twisted/internet/stdio.py
--- | ---
### I can connect Standard IO to a twisted.protocol. I act as a selectable for sys.stdin, and provide a write method that writes to stdout.
Base Classes |
--- | ---
abstract.FileDescriptor protocol.Transport
Methods |
--- | ---
__init__ connectionLost doRead write
| __init__
    __init__ ( self,  protocol )
### Create me with a protocol. This will fail if a StandardIO has already been instantiated.
Exceptions |
--- | ---
RuntimeError, "Standard IO already in use."
| connectionLost
    connectionLost ( self )
The connection was lost.
| doRead
    doRead ( self )
Some data's readable from standard input.
| write
    write ( self,  data )
Write some data to standard output.

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:41 2002 by HappyDoc version 2.0